# UniTAP.dev.ports.dprx5xx

class DPRX5xx(UniTAP.dev.ports.dprx4xx.DPRX4xx):

Main class of `DPRX5xx` object. Inherited from class `DPRX4xx`. Class describes capabilities of 500th (5XX) series of DP and USB-C devices in Sink (RX - receiver) role.

###### Attributes:

- __panel_replay (SinkPanelReplay): object of `SinkPanelReplay`.
- __psr (SinkPanelSelfRefresh): object of `SinkPanelSelfRefresh`.

DPRX5xx( port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)

##### Inherited Members

UniTAP.dev.ports.dprx4xx.DPRX4xx
  fec
  bulk_capturer
  display_id
  panel_replay
  panel_self_refresh
UniTAP.dev.ports.dprx.DPRX
  link
  dpcd
  edid
  hdcp
  event_capturer
  video_capturer
UniTAP.dev.ports.rx.RX
  audio_capturer